# Varbase Landing Page (Paragraphs)

Provides the basis for Landing Pages, which are built to include appealing stacked components that are visually separate.

## Varbase Landing Page (Paragraphs) Module

{% hint style="info" %}
Varbase landing page using paragraphs features are bundled through the **Varbase Landing Page (Paragraphs)** module.\
GitHub: <https://github.com/Vardot/varbase_landing>\
Drupal.org: <https://www.drupal.org/project/varbase_landing>

After building a project using the `varbase-project` template, you can see the code of the **Varbase Landing Page (Paragraphs)** module in:
{% endhint %}

```
project_directory
|-- docroot
    |-- modules
        |-- contrib
            |-- varbase_landing
```

Brings in the following core and contributed modules to your site:

| Module                                                                                                                    | Purpose                                                                                             |
| ------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------- |
| [**Paragraphs Features**](https://www.drupal.org/project/paragraphs_features)                                             | Provides additional paragraphs widgets.                                                             |
| [**Paragraphs asymmetric translation widgets**](https://www.drupal.org/project/paragraphs_asymmetric_translation_widgets) | Extends the paragraphs field widgets to support asymmetric translations.                            |
| [**Length Indicator**](https://www.drupal.org/project/length_indicator)                                                   | Adds an optional length indicator to fields                                                         |
| [**Advanced Text Formatter**](https://www.drupal.org/project/advanced_text_formatter)                                     | Provides an additional formatter for text field, text area and text format.                         |
| [**Maxlength**](https://www.drupal.org/project/maxlength)                                                                 | Limit the number of characters in textfields and textareas and shows the amount of characters left. |

## Required Varbase Modules

This module needs the following Varbase modules in order to function.

### Varbase Bootstrap Paragraphs Module

A suite of Paragraph bundles to be used for [Varbase](https://www.drupal.org/project/varbase) distribution.

{% content-ref url="/pages/-MePoizQeCIKVlJXUoJE" %}
[Varbase Bootstrap Paragraphs](/10.0.x/developers/understanding-varbase/optional-components/varbase-bootstrap-paragraphs.md)
{% endcontent-ref %}

### Varbase Media Module

Manages type of media contents and entity browsers in the site.

{% content-ref url="/pages/-MePkGsRz2V-jUTLLtNF" %}
[Varbase Media](/10.0.x/developers/understanding-varbase/core-components/varbase-media.md)
{% endcontent-ref %}

### Varbase SEO Module

Provide Search Engine Optimization (SEO) Core features and settings.

{% content-ref url="/pages/-MeQBuMZm4jbDxkk05Xr" %}
[Varbase SEO](/10.0.x/developers/understanding-varbase/core-components/varbase-seo.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.varbase.vardot.com/10.0.x/developers/understanding-varbase/optional-components/varbase-landing-page-paragraphs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
